SSLSrvConfigRec2 Struct Reference
module AP_MODULE_DECLARE_DATA

`#include <canl_mod_ssl-private.h>`

## Data Fields

void * | mc
unsigned int | enabled
unsigned int | proxy_enabled
const char * | vhost_id
int | vhost_id_len
int | session_cache_timeout
BOOL | cipher_server_pref
int | insecure_reneg
modssl_ctx_t * | server
modssl_ctx_t * | proxy

## Field Documentation

## cipher_server_pref

BOOL SSLSrvConfigRec2::cipher_server_pref

## enabled

unsigned int SSLSrvConfigRec2::enabled

## insecure_reneg

int SSLSrvConfigRec2::insecure_reneg

## mc

void* SSLSrvConfigRec2::mc

## proxy

modssl_ctx_t* SSLSrvConfigRec2::proxy

## proxy_enabled

unsigned int SSLSrvConfigRec2::proxy_enabled

## server

modssl_ctx_t* SSLSrvConfigRec2::server

## session_cache_timeout

int SSLSrvConfigRec2::session_cache_timeout

## vhost_id

const char* SSLSrvConfigRec2::vhost_id

## vhost_id_len

int SSLSrvConfigRec2::vhost_id_len